apiVersion: v1
kind: Service
metadata:
  name: outofservice
  namespace: {{INGRESS_NAMESPACE}}
spec:
  selector:
    app: outofservice
  ports:
  - port: 5000
    name: http-outofservice
    targetPort: http-api
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: outofservice
  namespace: {{INGRESS_NAMESPACE}}
spec:
  replicas: 1
  selector:
    matchLabels:
      app: outofservice
  strategy:
    type: RollingUpdate
  template:
    metadata:
      labels:
        app: outofservice
    spec:
      containers:
      - name: outofservice
        image: {{OUTOFSERVICE_IMAGE}}
        ports:
        - name: http-api
          containerPort: 3000
        resources:
          limits:
            cpu: 200m
            memory: 100Mi
          requests:
            cpu: 100m
            memory: 50Mi
      imagePullSecrets:
      {{IMAGE_PULL_SECRET}}

